Commit 3ebea438 authored by Dustin Navea's avatar Dustin Navea Committed by Alexandre Julliard

Added creation of c:/windows/fonts and

c:/windows/Start Menu/Programs/Startup.
parent c949349c
......@@ -174,7 +174,8 @@ function create_windows_directories {
for tdir in "$CROOT/windows" "$CROOT/windows/system" "$CROOT/windows/system32" \
"$CROOT/windows/Start Menu" "$CROOT/windows/Start Menu/Programs" \
"$CROOT/Program Files" "$CROOT/Program Files/Common Files" \
"$CROOT/windows/Profiles" "$CROOT/windows/Profiles/Administrator"
"$CROOT/windows/Profiles" "$CROOT/windows/Profiles/Administrator" \
"$CROOT/windows/Fonts" "$CROOT/windows/Start Menu/Programs/Startup"
do [ -d "$tdir" ] || mkdir "$tdir"
done
[ -f "$CROOT/windows/win.ini" ] || cp "$WININI" "$CROOT/windows/win.ini"
......@@ -213,26 +214,26 @@ echo
if [ "$BINDIST" = 'no' ]
then {
if ! [ -f configure ]
then {
if ! [ -f configure ]
then {
echo "You're running this from the wrong directory."
echo "Change to the Wine source's main directory and try again."
exit 1
}
fi
}
fi
if [ `whoami` == 'root' ]
then {
if [ `whoami` == 'root' ]
then {
echo "You are running wineinstall as root, this is not advisable. Please rerun as a user."
echo "Aborting."
exit 1
}
fi
}
fi
# check whether RPM installed, and if it is, remove any old wine rpm.
hash rpm &>/dev/null
RET=$?
if [ $RET -eq 0 ]; then
# check whether RPM installed, and if it is, remove any old wine rpm.
hash rpm &>/dev/null
RET=$?
if [ $RET -eq 0 ]; then
if [ -n "`rpm -qi wine 2>/dev/null|grep "^Name"`" ]; then
echo "Warning: Old Wine RPM install detected. Do you want to remove it first?"
conf_yesno_answer "(yes/no) "
......@@ -255,27 +256,27 @@ if [ $RET -eq 0 ]; then
exit 1
fi
fi
fi
fi
# check whether wine binary still available
if [ -n "`which wine 2>/dev/null|grep '/wine'`" ]; then
# check whether wine binary still available
if [ -n "`which wine 2>/dev/null|grep '/wine'`" ]; then
echo "Warning !! wine binary (still) found, which may indicate"
echo "a (conflicting) previous installation."
echo "You might want to abort and uninstall Wine first."
std_sleep
fi
fi
# run the configure script, if necessary
# run the configure script, if necessary
if [ -f config.cache ] && [ -f Makefile ] && [ Makefile -nt configure ]
then {
if [ -f config.cache ] && [ -f Makefile ] && [ Makefile -nt configure ]
then {
echo
echo "I see that WINE has already been configured, so I'll skip that."
std_sleep
# load configure results
. ./config.cache
}
else {
}
else {
echo "Running configure..."
echo
if ! ./configure -C $CONFARGS
......@@ -297,13 +298,13 @@ else {
exit 1
}
fi
}
fi
}
fi
# now do the compilation and install, we need to always do this because we
# don't want the 'make install' command we might run to run 'make' as root
if [ `whoami` != 'root' ]
then {
# now do the compilation and install, we need to always do this because we
# don't want the 'make install' command we might run to run 'make' as root
if [ `whoami` != 'root' ]
then {
# ask the user if they want to build and install wine
echo
echo "We need to install wine as root user, do you want us to build wine,"
......@@ -402,13 +403,8 @@ then {
echo
}
fi
}
else {
echo "You are running wineinstall as root, this is not advisable. Please rerun as a user."
echo "Aborting."
exit 1
}
fi # [ `whoami` != 'root' ]
}
fi # [ `whoami` != 'root' ]
}
fi # BINDIST
......@@ -453,7 +449,24 @@ then {
conf_yesno_answer "(yes/no) "
DOLOCALCONF="$ANSWER"
echo
else {
if [ "$ANSWER" = "yes" ]
then
{
echo "Would you like to make a backup of this old config file?"
conf_yesno_answer "(yes/no) "
echo
if [ "$ANSWER" = "yes" ]
then
{
echo "Renaming $LCONF to $LCONF.old"
mv -f "$LCONF" "$LCONF.old"
echo
}
fi
}
fi
else
{
echo "Create local config file ~/.wine/config?"
conf_yesno_answer "(yes/no) "
DOLOCALCONF="$ANSWER"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment